ToolChain Help, Error With MakeFile

Discussion in 'iOS Development' started by Khaos, Jun 2, 2008.

  1. Khaos

    Khaos Well-Known Member

    Joined:
    Dec 31, 2007
    Messages:
    1,655
    Likes Received:
    127
    Device:
    iPhone 4 (Black)
    Well i have a mac and i installed the toolchain and i keep getting this error when i type make, i tried to use it with FWChanger and i did the right codes but i get some error, check the pic:

    Please Register or Log in to view images



    Please Help, Thx...

    - Khaos139
  2. optimo

    optimo New Member

    Joined:
    Sep 28, 2007
    Messages:
    535
    Likes Received:
    17
    you should post your makefile, likely you have an incorrect path for HEAVENLY
  3. Khaos

    Khaos Well-Known Member

    Joined:
    Dec 31, 2007
    Messages:
    1,655
    Likes Received:
    127
    Device:
    iPhone 4 (Black)
    Its in Gojohnnyboi's Source code for FWChanger but here:

    Code:
    CC=arm-apple-darwin-gcc
    
    LD=$(CC)
    
    LDFLAGS=-lobjc -framework CoreFoundation -framework Foundation -framework UIKit -framework CoreGraphics
    
    
    
    all: FWChanger
    
    
    
    FWChanger:	main.o FirmwareApp.o FirmwarePreferencesView.o
    
    	$(LD) $(LDFLAGS) -o $@ $^
    
    
    
    
    
    %.o:	%.m
    
    		$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@
    
    
    
    clean:
    
    		rm -f *.o FWChanger
    
    		
    
    app:
    
    		make
    
    		mkdir FWChanger.app
    
    		cp FWChanger FWChanger.app
    
    		cp Info.plist FWChanger.app
    
    		cp Default.png FWChanger.app
    
    		cp icon.png FWChanger.app
    
    		zip -9r -S FWChanger FWChanger.app

    Attached Files:

  4. optimo

    optimo New Member

    Joined:
    Sep 28, 2007
    Messages:
    535
    Likes Received:
    17
    thhe issue I see is that gojohnnyboi is using the windows/cygwin toolchain, which has different paths than yours

    you will need to find a makefile from a Mac toolchain similar to your own. have you had success compiling any other source code?

    the error you are showing tells me that your toolchain may not be installed correctly

Share This Page